Systemanforderungen

Gültig ab Version:
5.0.0

Eine Empfehlung unserer Hosting-Partner findest Du hier.

Falls Du unsicher bist, welches Hosting Du für Dein Projekt benötigst, schau doch mal in den Artikel "Welches Hosting ist das richtige für mich?"

Server

Die benötigte Server-Hardware ist abhängig von der Anzahl der Artikel, die im Shop angeboten werden sollen und dem erwarteten Traffic (Besucher / Tag). Die Anforderungen werden von den meisten Hosting-Providern erfüllt und zertifizierte Hoster sollten hier eine geeignete Konfiguration zur Verfügung stellen.

Minimale Systemanforderungen

  • Linux-basiertes Betriebssystem mit Apache 2.x
  • PHP 5.6.4 oder höher
  • MySQL >= 5.5
  • Möglichkeit Cronjobs einzurichten
  • Mindestens 5 GB freier Speicherplatz

PHP-Extensions / Webserver

  • Apache Mod-Rewrite
  • GD Library ab Version 2.0
  • installierte cURL-Library
  • Bei Einsatz von verschlüsselten Dritt-Anbieter-Plugins wird der Ioncube Loader ab Version 5.0.0 benötigt!
  • Wir empfehlen dringend den Einsatz von APCu um eine performante Shopware-Installation zu gewährleisten.
  • Hinweis zu ESD/Sofortdownloads: Wir empfehlen bei Nutzung der Shopware ESD-Funktionalität folgende Extension: X-Accel (nginx) oder X-Sendfile (Apache)

Minimale Webserver/PHP-Einstellungen

  • memory_limit > 256M
  • magic_quotes_gpc deaktiviert
  • allow_url_fopen aktiviert
  • register_globals deaktiviert
  • Die Möglichkeit die Webserver-Einstellungen via .htaccess zu modifizieren
  • PHP Calendar Extension
  • PHP Zip Extension
  • PDO / PDO_Mysql

Beachte bitte, dass die Werte hier als absolutes Minimum zu sehen sind, sobald Du eine hohe Anzahl an Artikeln im Shop hast oder ein hoher Traffic zu erwarten ist und der Shop somit viele Anfragen gleichzeitig verarbeiten soll, ist es dringend zu empfehlen, die Serverressourcen zu erhöhen.

Alternatives Setup

Die oberhalb aufgeführten Anforderungen stellen das offiziell unterstützte und empfohlene Setup dar, um Shopware zu installieren. Generell ist der Betrieb auch auf ähnlichen Setups möglich (Mac OS, nginx, MariaDB etc.)
Bitte berücksichtige aber, dass wir keinen offiziellen Support für die Einrichtung solcher Server-Systeme und Setups anbieten können. Die Einrichtung alternativer Server-Systeme mit allen notwendigen Voraussetzungen obliegt dem jeweiligen Hosting-Partner.

Client

Die Administration Deines Shops kann komplett online über den Webbrowser erfolgen. Hierzu ist es notwendig, dass Du Javascript und Cookies aktiviert hast. Durch den Einsatz von Cookies ist eine eindeutige Identifizierung Deiner Person möglich, somit wird ein hohes Sicherheitslevel gewährleistet. Durch den Einsatz von Javascript erhöht sich die Usability des Systems enorm und ermöglicht in Verbindung mit Ajax als Kerntechnologie von Shopware die komfortable und schnelle Administration Ihres Shops.

Anforderungen

  • In aktueller Version: Mozilla Firefox, Chrome, Safari oder Internet Explorer ab Version 11
  • Javascript und Cookies aktiviert
  • 4 GB Arbeitsspeicher
  • Dual-Core CPU
  • Bildschirmauflösung für das Backend: Min. 1366 x 768 Px.

Weitere interessante Artikel:

Shopware aktualisieren / updaten

Backups erstellen Bevor Du Shopware updatest, '''erstelle in jedem Fall ein Backup''', nur so kannst Du bei Problemen einfach wieder den Betrieb aufnehmen! Plugin Kompatibilität - WICHTIG Stelle '''vor''' dem Update sicher, dass alle...

weiterlesen

First Run Wizard

Einleitung Der First Run Wizard leitet Dich durch die Ersteinrichtung Deiner neuen Shopware Installation. Hier werden grundlegende Dinge im Shop eingerichtet sowie bei Bedarf eine Shopware-ID registriert. Der First Run Wizard wird nur bei...

weiterlesen

Update Guide Shopware 5.2 auf Shopware 5.3

Bevor du updatest Wie vor jedem Update gilt: Update alle installierten Plugins und erstelle ein Backup der gesamten Umgebung! Mache dich zusätzlich mit den wichtigen Änderungen und dem Bereich "Was funktioniert nicht mehr?" vertraut, sodass Du...

weiterlesen
€ 1,00

Preise inkl. gesetzlicher
MwSt. + Versandkosten*